import type { ChatCompletionAssistantMessageParam, ChatCompletionFunctionMessageParam, ChatCompletionToolMessageParam } from 'openai/resources/index.js';
import type { ChatMessage } from '../llm/index.js';
export declare class ChatMessageBuilder {
    static system(content: string): ChatMessage;
    static functionCall<TFuncParams>(funcName: string, params: TFuncParams): ChatCompletionAssistantMessageParam;
    static functionCallResult(funcName: string, result: string): ChatCompletionFunctionMessageParam;
    static toolCall<TFuncParams>(toolId: string, funcName: string, params: TFuncParams): ChatCompletionAssistantMessageParam;
    static toolCallResult(toolId: string, result: string): ChatCompletionToolMessageParam;
}
